---
title: "Create verification exception"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › directory-verification

`POST /v2/directory/listings/{listingId}/verification-exceptions`

## Path parameters

- `listingId` (`directory-create-verification-exception.path.listingId`; string, required)
  - format `uuid`

## Request body

_Required._

- `dimension` (`directory-create-verification-exception.dimension`; string, required)
  - one of `"identity"`, `"affiliation"`
- `requestReason` (`directory-create-verification-exception.requestReason`; string, required)
  - minLength 20; maxLength 5000
- `evidenceReferences` (`directory-create-verification-exception.evidenceReferences`; array<string>, required)
  - minLength 1; maxLength 2000
- `requestedExpiresAt` (`directory-create-verification-exception.requestedExpiresAt`; string, required)
  - format `date-time`
- `organizationId` (`directory-create-verification-exception.organizationId`; string, optional)
  - format `uuid`
- `affiliationRole` (`directory-create-verification-exception.affiliationRole`; string, optional)
  - minLength 1; maxLength 255
- `affiliationTitle` (`directory-create-verification-exception.affiliationTitle`; string, optional)
  - minLength 1; maxLength 255

## Example request

```json
{
  "dimension": "identity",
  "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",
  "affiliationRole": "string",
  "affiliationTitle": "string",
  "requestReason": "stringstringstringst",
  "evidenceReferences": [
    "string"
  ],
  "requestedExpiresAt": "2019-08-24T14:15:22Z"
}
```

## Code samples

### cURL

```bash
curl --request POST \
  --url 'https://api.sureshake.com/v2/directory/listings/<listingId>/verification-exceptions' \
  --header 'Content-Type: application/json' \
  --data '
{
  "dimension": "identity",
  "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",
  "affiliationRole": "string",
  "affiliationTitle": "string",
  "requestReason": "stringstringstringst",
  "evidenceReferences": [
    "string"
  ],
  "requestedExpiresAt": "2019-08-24T14:15:22Z"
}
'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/directory/listings/<listingId>/verification-exceptions';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({
    dimension: 'identity',
    organizationId: '7bc05553-4b68-44e8-b7bc-37be63c6d9e9',
    affiliationRole: 'string',
    affiliationTitle: 'string',
    requestReason: 'stringstringstringst',
    evidenceReferences: ['string'],
    requestedExpiresAt: '2019-08-24T14:15:22Z'
  })
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/directory/listings/<listingId>/verification-exceptions"

payload = {
    "dimension": "identity",
    "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",
    "affiliationRole": "string",
    "affiliationTitle": "string",
    "requestReason": "stringstringstringst",
    "evidenceReferences": ["string"],
    "requestedExpiresAt": "2019-08-24T14:15:22Z"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

## Responses

### 201

Default Response

#### Example

```json
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "listingId": "8c73d933-f7ed-437e-9da1-caac95adc1ae",
    "subjectUserId": "string",
    "dimension": "identity",
    "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",
    "organizationName": "string",
    "organizationSlug": "string",
    "organizationType": "investor",
    "affiliationRole": "string",
    "affiliationTitle": "string",
    "requestReason": "string",
    "evidenceReferences": [
      "string"
    ],
    "requestedExpiresAt": "2019-08-24T14:15:22Z",
    "status": "pending",
    "requestedByUserId": "string",
    "reviewedByUserId": "string",
    "reviewedAt": "2019-08-24T14:15:22Z",
    "reviewReason": "string",
    "expiresAt": "2019-08-24T14:15:22Z",
    "revokedByUserId": "string",
    "revokedAt": "2019-08-24T14:15:22Z",
    "revocationReason": "string",
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z"
  }
}
```

- `data` (`directory-create-verification-exception.response.201.data`; object, required)
  - `id` (`directory-create-verification-exception.response.201.data.id`; string, required)
    - format `uuid`
  - `listingId` (`directory-create-verification-exception.response.201.data.listingId`; string, required)
    - format `uuid`
  - `subjectUserId` (`directory-create-verification-exception.response.201.data.subjectUserId`; string, required)
  - `dimension` (`directory-create-verification-exception.response.201.data.dimension`; string, required)
    - one of `"identity"`, `"affiliation"`
  - `organizationId` (`directory-create-verification-exception.response.201.data.organizationId`; string, required, nullable)
    - format `uuid`
  - `organizationName` (`directory-create-verification-exception.response.201.data.organizationName`; string, required, nullable)
  - `organizationSlug` (`directory-create-verification-exception.response.201.data.organizationSlug`; string, required, nullable)
  - `organizationType` (`directory-create-verification-exception.response.201.data.organizationType`; string, required, nullable)
    - one of `"investor"`, `"fund"`
  - `affiliationRole` (`directory-create-verification-exception.response.201.data.affiliationRole`; string, required, nullable)
  - `affiliationTitle` (`directory-create-verification-exception.response.201.data.affiliationTitle`; string, required, nullable)
  - `requestReason` (`directory-create-verification-exception.response.201.data.requestReason`; string, required)
  - `evidenceReferences` (`directory-create-verification-exception.response.201.data.evidenceReferences`; array<string>, required)
  - `requestedExpiresAt` (`directory-create-verification-exception.response.201.data.requestedExpiresAt`; string, required)
    - format `date-time`
  - `status` (`directory-create-verification-exception.response.201.data.status`; string, required)
    - one of `"pending"`, `"approved"`, `"rejected"`, `"revoked"`
  - `requestedByUserId` (`directory-create-verification-exception.response.201.data.requestedByUserId`; string, required)
  - `reviewedByUserId` (`directory-create-verification-exception.response.201.data.reviewedByUserId`; string, required, nullable)
  - `reviewedAt` (`directory-create-verification-exception.response.201.data.reviewedAt`; string, required, nullable)
    - format `date-time`
  - `reviewReason` (`directory-create-verification-exception.response.201.data.reviewReason`; string, required, nullable)
  - `expiresAt` (`directory-create-verification-exception.response.201.data.expiresAt`; string, required, nullable)
    - format `date-time`
  - `revokedByUserId` (`directory-create-verification-exception.response.201.data.revokedByUserId`; string, required, nullable)
  - `revokedAt` (`directory-create-verification-exception.response.201.data.revokedAt`; string, required, nullable)
    - format `date-time`
  - `revocationReason` (`directory-create-verification-exception.response.201.data.revocationReason`; string, required, nullable)
  - `createdAt` (`directory-create-verification-exception.response.201.data.createdAt`; string, required)
    - format `date-time`
  - `updatedAt` (`directory-create-verification-exception.response.201.data.updatedAt`; string, required)
    - format `date-time`
- `meta` (`directory-create-verification-exception.response.201.meta`; object, optional)
  - `timestamp` (`directory-create-verification-exception.response.201.meta.timestamp`; string, required)
    - format `date-time`

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`directory-create-verification-exception.response.400.error`; object, required)
  - `code` (`directory-create-verification-exception.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`directory-create-verification-exception.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`directory-create-verification-exception.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`directory-create-verification-exception.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`directory-create-verification-exception.response.401.error`; object, required)
  - `code` (`directory-create-verification-exception.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`directory-create-verification-exception.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`directory-create-verification-exception.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`directory-create-verification-exception.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`directory-create-verification-exception.response.403.error`; object, required)
  - `code` (`directory-create-verification-exception.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`directory-create-verification-exception.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`directory-create-verification-exception.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`directory-create-verification-exception.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`directory-create-verification-exception.response.404.error`; object, required)
  - `code` (`directory-create-verification-exception.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`directory-create-verification-exception.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`directory-create-verification-exception.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`directory-create-verification-exception.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`directory-create-verification-exception.response.409.error`; object, required)
  - `code` (`directory-create-verification-exception.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`directory-create-verification-exception.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`directory-create-verification-exception.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`directory-create-verification-exception.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 429

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`directory-create-verification-exception.response.429.error`; object, required)
  - `code` (`directory-create-verification-exception.response.429.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`directory-create-verification-exception.response.429.error.message`; string, required) — Human-readable error message
  - `details` (`directory-create-verification-exception.response.429.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`directory-create-verification-exception.response.429.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`directory-create-verification-exception.response.500.error`; object, required)
  - `code` (`directory-create-verification-exception.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`directory-create-verification-exception.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`directory-create-verification-exception.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`directory-create-verification-exception.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`directory-create-verification-exception.response.503.error`; object, required)
  - `code` (`directory-create-verification-exception.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`directory-create-verification-exception.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`directory-create-verification-exception.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`directory-create-verification-exception.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/directory-create-verification-exception/index.md
